import request from '@/utils/request'

// 查询隔离点-列表
export function getIsIsolationPointPage(query) {
    return request({
        url: '/iscs/point/getIsIsolationPointPage',
        method: 'get',
        params: query
    })
}

// 新增隔离点
export function addinsertIsIsolationPoint(query) {
    return request({
        url: '/iscs/point/insertIsIsolationPoint',
        method: 'post',
        data: query
    })
}

// 修改隔离点信息/dev-api/iscs/point/updateIsIsolationPoint
export function updateIsIsolationPoint(data) {
    return request({
        url: '/iscs/point/updateIsIsolationPoint',
        method: 'post',
        data: data
    })
}

// 删除隔离点 /dev-api/iscs/point/deleteIsIsolationPointByPointIds
export function deleteIsIsolationPointByPointIds(data) {
    return request({
        url: '/iscs/point/deleteIsIsolationPointByPointIds?pointIds=' + data,
        method: 'post',
    })
}

// 获取单个信息/dev-api/iscs / point / selectIsIsolationPointById
export function selectIsIsolationPointById(data) {
    return request({
        url: '/iscs/point/selectIsIsolationPointById?pointId=' + data,
        method: 'get',
    })
}

// 所属车间 /dev-api/mes/md/workshop/listAll
export function workshoplistAll(query) {
    return request({
        url: '/mes/md/workshop/listAll',
        method: 'get',
        params: query
    })
}


// 所属区域  /dev-api/iscs/workarea/getIsWorkareaList
export function getIsWorkareaList(query) {
    return request({
        url: '/iscs/workarea/getIsWorkareaList?workshopId=' + query,
        method: 'get',

    })

}
